org.apache.commons.compress.archivers.sevenz

## Class SevenZFileOptions

- java.lang.Object
- - org.apache.commons.compress.archivers.sevenz.SevenZFileOptions

-     public class SevenZFileOptions
      extends Object

  Collects options for reading 7z archives.
  Since:
    1.19
  This class is immutable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SevenZFileOptions.Builder` Mutable builder for the immutable `SevenZFileOptions`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SevenZFileOptions` | `DEFAULT` The default options.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SevenZFileOptions.Builder` | `builder()` Obtains a builder for SevenZFileOptions.
    `int` | `getMaxMemoryLimitInKb()` Gets the maximum amount of memory to use for parsing the archive and during extraction.
    `boolean` | `getTryToRecoverBrokenArchives()` Whether `SevenZFile` shall try to recover from a certain type of broken archive.
    `boolean` | `getUseDefaultNameForUnnamedEntries()` Gets whether entries without a name should get their names set to the archive's default file name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final SevenZFileOptions DEFAULT

      The default options.
      - no memory limit
      - don't modify the name of unnamed entries

  - ### Method Detail

    - #### builder

          public static SevenZFileOptions.Builder builder()

      Obtains a builder for SevenZFileOptions.
      Returns:
        a builder for SevenZFileOptions.

    - #### getMaxMemoryLimitInKb

          public int getMaxMemoryLimitInKb()

      Gets the maximum amount of memory to use for parsing the archive and during extraction.

      Not all codecs will honor this setting. Currently only lzma and lzma2 are supported.

      Returns:
        the maximum amount of memory to use for extraction

    - #### getTryToRecoverBrokenArchives

          public boolean getTryToRecoverBrokenArchives()

      Whether `SevenZFile` shall try to recover from a certain type of broken archive.
      Returns:
        whether SevenZFile shall try to recover from a certain type of broken archive.
      Since:
        1.21

    - #### getUseDefaultNameForUnnamedEntries

          public boolean getUseDefaultNameForUnnamedEntries()

      Gets whether entries without a name should get their names set to the archive's default file name.
      Returns:
        whether entries without a name should get their names set to the archive's default file name

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.